﻿using C1.WPF.FlexGrid;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;
using System.Collections.ObjectModel;

namespace C1FlexGrid_LocalTime
{
    public partial class MainWindow : Window
    {
        ObservableCollection<Info> data;
        public MainWindow()
        {
            InitializeComponent();
            data = new ObservableCollection<Info>();
            data.Add(new Info() { Name = "Henry", UTCTime = DateTime.UtcNow, LocalTime = DateTime.UtcNow });
            data.Add(new Info() { Name = "Samuel", UTCTime = DateTime.UtcNow, LocalTime = DateTime.UtcNow });
        }
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            c1FlexGrid1.ItemsSource = data;
            c1FlexGrid1.Columns["UTCTime"].IsReadOnly = true;
            c1FlexGrid1.Columns["LocalTime"].IsReadOnly = true;

            c1FlexGrid1.Columns["UTCTime"].Format = "dd:MM:yyyy hh:mm:ss";
            c1FlexGrid1.Columns["LocalTime"].Format = "dd:MM:yyyy hh:mm:ss";

            c1FlexGrid1.Columns["UTCTime"].Header = "UTC Time";
            c1FlexGrid1.Columns["LocalTime"].Header = "Translated to Local Time";
        }
    }
    public class Info
    {
        public string Name
        {
            get
            {
                return _Name;
            }

            set
            {
                _Name = value;
            }
        }

        private string _Name;
        public DateTime UTCTime
        {
            get
            {
                return _UDOB;
            }

            set
            {
                _UDOB = value;
            }
        }

        private DateTime _UDOB;

        public DateTime LocalTime
        {
            get
            {
                return _LDOB.ToLocalTime();
            }

            set
            {
                _LDOB = value;
            }
        }

        private DateTime _LDOB;


    }
}
